Package org.eclipse.birt.report.model.api.activity

# Interface IEventFilter

public interface IEventFilter
Class provides a event filter logic for a transaction.

## Method Summary

Modifier and Type
Method
Description
`List<org.eclipse.birt.report.model.activity.RecordTask>`
`filter(List<org.eclipse.birt.report.model.activity.RecordTask> events)`
Apply filter conditions to the chain of events.

## Method Details

### filter

List<org.eclipse.birt.report.model.activity.RecordTask> filter(List<org.eclipse.birt.report.model.activity.RecordTask> events)
Apply filter conditions to the chain of events. The notifications that should be filtered is flagged as "filtered"

Parameters:
  `events` - the event chain that is to be filtered.
Returns:
  Returns an event chain, the notifications that should be filtered is flagged as "filtered"